Google Apps Dropping IE7 Support on Aug 1 

This is big:

For web applications to spring even farther ahead of traditional software, our teams need to make use of new capabilities available in modern browsers. … For this reason, soon Google Apps will only support modern browsers. Beginning August 1st, we’ll support the current and prior major release of Chrome, Firefox, Internet Explorer and Safari on a rolling basis. Each time a new version is released, we’ll begin supporting the update and stop supporting the third-oldest version.

The group who ought to be most impacted by this news are Windows XP users. Since IE 9 is available only for Windows Vista or Windows 7, for Google's purposes IE8 will officially be the only supported version of IE on all the millions of WinXP installations still puttering along out there. Once IE 10 ships, if Google adheres to this policy then Google Apps won't be fully supported for IE users on XP at all.